Mailinglist Archive: opensuse-packaging (48 mails)

< Previous Next >
[opensuse-packaging] rpmlint(?): W: no-version-in-last-changelog
Hi,

can we please remove this obviously broken check?

[ 6s] RPMLINT report:
[ 6s] ===============
[ 6s] vdr-plugin-satip.x86_64: I: binary-or-shlib-calls-gethostbyname
/usr/lib64/vdr/libvdr-satip.so.2.4.0
[ 6s] The binary calls gethostbyname(). Please port the code to use
getaddrinfo().
[ 6s]
[ 6s] vdr-plugin-satip.src: W: no-version-in-last-changelog
[ 6s] vdr-plugin-satip.x86_64: W: no-version-in-last-changelog
[ 6s] The latest changelog entry doesn't contain a version. Please insert the
[ 6s] version that is coherent with the version of the package and rebuild
it.
[ 6s]
[ 6s] 2 packages and 0 specfiles checked; 0 errors, 2 warnings.
[ 6s]
[ 6s]
[ 6s] strolchi finished "build vdr-plugin-satip.spec" at Wed Dec 26 17:14:57
UTC 2018.

seife@strolchi:~/buildservice/vdr:unstable/vdr-plugin-satip> head -5 *es
-------------------------------------------------------------------
Wed Dec 26 16:56:03 UTC 2018 - Stefan Seyfried <seife+obs@xxxxxxxxxxxxxx>

- update to version 2.4.0 (2018-04-15):
- Updated for vdr-2.4.0


BTW the warning is absolutely useless, because I can make lots of changes to a
package that don't affect the version at all.
--
Stefan Seyfried

"For a successful technology, reality must take precedence over
public relations, for nature cannot be fooled." -- Richard Feynman
--
To unsubscribe, e-mail: opensuse-packaging+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-packaging+owner@xxxxxxxxxxxx

< Previous Next >
Follow Ups